﻿using com.daysofwonder.async;
using ProtoBuf;
using System.Collections.Generic;

namespace com.daysofwonder
{
    /// <summary>
    /// Interface shared by StatusReport and GameDetails
    /// </summary>
    [ProtoContract()]
    public interface IGameDetails
    {
        long game_id { get; set; }

        List<Player> players { get; }

        GameConfiguration configuration { get; set; }
    }
}
